import { ActivityCard } from './ActivityCard';
import { FlexDiv } from './ActivitiesList.styles';
import PropTypes from 'prop-types';

export const ActivitiesList = ({ activities }) => (
  <FlexDiv>
    { activities.map(activity => <ActivityCard activity={ activity } key={ activity._id } />) }
  </FlexDiv>
);

ActivitiesList.propTypes = {
  activities: PropTypes.array,
};
