const initialState = {
  activities: [],
  proposedActivities: [],
  participateActivities: [],
  commentedActivities: [],
  categoryActivities: [],
};

export const activitiesReducers = (state = initialState, action) => {
  switch(action.type) {
    case 'GET_ALL_ACTIVITIES':
      return {
        ...state,
        activities: action.payload
      }
    case 'GET_PROPOSED_ACTIVITIES':
      return {
        ...state,
        proposedActivities: action.payload
      }
    case 'GET_PARTICIPATE_ACTIVITIES':
      return {
        ...state,
        participateActivities: action.payload
      }
    case 'GET_COMMENTED_ACTIVITIES':
      return {
        ...state,
        commentedActivities: action.payload
      }
    case 'GET_ACTIVITIES_PER_CATEGORY':
      return {
        ...state,
        categoryActivities: action.payload
      };
    default:
      return state;
  }
};
