import { useParams } from 'react-router-dom';
import { SortedActivities } from "./SortedActivities"

export const ActivitiesByCategory = () => {
  const category = useParams().category;
  let categoryText = category;

  if (categoryText === 'natacio') categoryText = 'natació';
  if (categoryText === 'e.funcional') categoryText = 'entrenament funcional';

  const title = `Activitats de ${categoryText}`;

  return <SortedActivities show="categoria" title={ title } category={ category } color />;
};
