import { Typography, Link } from '@material-ui/core';

const styles = {
  marginTop: 20,
};

export const Copyright = () => {
  const dateCopyright = new Date().getFullYear();

  return (
    <Typography variant="body2" color="textSecondary" align="center" style={ styles }>
      {'Copyright © '}
      <Link color="inherit" href="https://www.entrenem.com/">entrenem</Link>
      {' '}
      { dateCopyright }
      {'.'}
    </Typography>
  );
};

