import styled from 'styled-components';
import { theme } from '../../assets/theme/theme';

export const ParticipantBoxDiv = styled.div`
  position: absolute;
  top: 0;
  width: 150px;
  padding: 15px 20px;
  color: #fff;
  background-color: ${theme.palette.secondary.light};
  opacity: 0.7;
  border-radius: 5px;

  p {
    margin-bottom: 1px;
    margin-top: 1px;
  }
`;
