import PropTypes from 'prop-types';
import { MessageContainer, SuccessMessageText } from './SucessMessage.styles';

export const SuccessMessage = ({ text }) => (
  <MessageContainer>
    <SuccessMessageText severity="success">{ text }</SuccessMessageText>
  </MessageContainer>
);

SuccessMessage.propTypes = {
  text: PropTypes.string,
};
