import styled from 'styled-components';
import MuiAlert from '@material-ui/lab/Alert';
const Alert = (props) => <MuiAlert elevation={ 6 } variant="filled" {...props} />;

export const MessageContainer = styled.div`
  position: fixed;
  width: 100%;
  margin: 0;
  bottom: 0;
  z-index: 2;
`;

export const SuccessMessageText = styled(Alert)`
  width: 200px;
  margin: auto;
`;
