import { theme } from '../assets/theme/theme';
import styled from 'styled-components';
import { Divider } from "@material-ui/core";

const colorDark = theme.palette.secondary.main;

export const Icon = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  width: 84px;
  height: 84px;
  margin: 0 auto -30px;
  padding-top: 50px;
  color: ${colorDark};
`;

export const UserInfoCard = styled.div`
  width: 220px;
  margin: 50px auto 0;
`;

export const bigIcon = {
  fontSize: 60,
};

export const smallIcons = {
  marginRight: 10,
  color: colorDark,
  fontSize: 13,
};

export const DividerLine = styled(Divider)`
  margin-bottom: 30px;
  margin-top: 30px;
`;

export const bottomPadding = {
  paddingBottom: 60,
};
