import moment from 'moment';

export const formateDate = (date, shortYear) => {
  const dateString = moment(date).format('L');
  const slicePoint = shortYear ? dateString.length-2 : dateString.length-4;
  const day = dateString.slice(3, 5);
  const month = dateString.slice(0, 2);
  const year = dateString.slice(slicePoint);

  return `${day}-${month}-${year}`;
};
