import { geocodeByAddress, getLatLng } from 'react-places-autocomplete';

export const transformToCoords = (address, setCoords) => {
  geocodeByAddress(address)
    .then(results => getLatLng(results[0]))
    .then(latLng => {
      setCoords(latLng);
    })
    .catch((error) => console.error(error));
};
